# Interface CourseInfo

interface CourseInfo {
activeRoute: ActiveRoute | null;
arrivalCircle: number;
nextPoint: NextPreviousPoint | null;
previousPoint: NextPreviousPoint | null;
startTime: string | null;
targetArrivalTime: string | null;
}

- Defined in coursetypes.ts:52

##### Index

### Properties

activeRoute
arrivalCircle
nextPoint
previousPoint
startTime
targetArrivalTime

## Properties

### activeRoute

activeRoute: ActiveRoute | null

- Defined in coursetypes.ts:56

### arrivalCircle

arrivalCircle: number

- Defined in coursetypes.ts:55

### nextPoint

nextPoint: NextPreviousPoint | null

- Defined in coursetypes.ts:57

### previousPoint

previousPoint: NextPreviousPoint | null

- Defined in coursetypes.ts:58

### startTime

startTime: string | null

- Defined in coursetypes.ts:53

### targetArrivalTime

targetArrivalTime: string | null

- Defined in coursetypes.ts:54